Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.0.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
15.0.0.0
Broadcast address
15.7.255.255
First usable
15.0.0.1
Last usable
15.7.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F000000 · Integer 251658240 to 252182527
Reverse DNS zones
0.15.in-addr.arpa
1.15.in-addr.arpa
2.15.in-addr.arpa
3.15.in-addr.arpa
4.15.in-addr.arpa
5.15.in-addr.arpa
6.15.in-addr.arpa
7.15.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.00000000.00000000.0000000015.0.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00001111.00000000.00000000.0000000015.0.0.0
Broadcast00001111.00000111.11111111.1111111115.7.255.255
Split into smaller subnets/20

15.0.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.0.0.0/2015.0.0.1 to 15.0.15.25415.0.15.2554,094
215.0.16.0/2015.0.16.1 to 15.0.31.25415.0.31.2554,094
315.0.32.0/2015.0.32.1 to 15.0.47.25415.0.47.2554,094
415.0.48.0/2015.0.48.1 to 15.0.63.25415.0.63.2554,094
515.0.64.0/2015.0.64.1 to 15.0.79.25415.0.79.2554,094
615.0.80.0/2015.0.80.1 to 15.0.95.25415.0.95.2554,094
715.0.96.0/2015.0.96.1 to 15.0.111.25415.0.111.2554,094
815.0.112.0/2015.0.112.1 to 15.0.127.25415.0.127.2554,094
915.0.128.0/2015.0.128.1 to 15.0.143.25415.0.143.2554,094
1015.0.144.0/2015.0.144.1 to 15.0.159.25415.0.159.2554,094
1115.0.160.0/2015.0.160.1 to 15.0.175.25415.0.175.2554,094
1215.0.176.0/2015.0.176.1 to 15.0.191.25415.0.191.2554,094
1315.0.192.0/2015.0.192.1 to 15.0.207.25415.0.207.2554,094
1415.0.208.0/2015.0.208.1 to 15.0.223.25415.0.223.2554,094
1515.0.224.0/2015.0.224.1 to 15.0.239.25415.0.239.2554,094
1615.0.240.0/2015.0.240.1 to 15.0.255.25415.0.255.2554,094
1715.1.0.0/2015.1.0.1 to 15.1.15.25415.1.15.2554,094
1815.1.16.0/2015.1.16.1 to 15.1.31.25415.1.31.2554,094
1915.1.32.0/2015.1.32.1 to 15.1.47.25415.1.47.2554,094
2015.1.48.0/2015.1.48.1 to 15.1.63.25415.1.63.2554,094
2115.1.64.0/2015.1.64.1 to 15.1.79.25415.1.79.2554,094
2215.1.80.0/2015.1.80.1 to 15.1.95.25415.1.95.2554,094
2315.1.96.0/2015.1.96.1 to 15.1.111.25415.1.111.2554,094
2415.1.112.0/2015.1.112.1 to 15.1.127.25415.1.127.2554,094
2515.1.128.0/2015.1.128.1 to 15.1.143.25415.1.143.2554,094
2615.1.144.0/2015.1.144.1 to 15.1.159.25415.1.159.2554,094
2715.1.160.0/2015.1.160.1 to 15.1.175.25415.1.175.2554,094
2815.1.176.0/2015.1.176.1 to 15.1.191.25415.1.191.2554,094
2915.1.192.0/2015.1.192.1 to 15.1.207.25415.1.207.2554,094
3015.1.208.0/2015.1.208.1 to 15.1.223.25415.1.223.2554,094
3115.1.224.0/2015.1.224.1 to 15.1.239.25415.1.239.2554,094
3215.1.240.0/2015.1.240.1 to 15.1.255.25415.1.255.2554,094
3315.2.0.0/2015.2.0.1 to 15.2.15.25415.2.15.2554,094
3415.2.16.0/2015.2.16.1 to 15.2.31.25415.2.31.2554,094
3515.2.32.0/2015.2.32.1 to 15.2.47.25415.2.47.2554,094
3615.2.48.0/2015.2.48.1 to 15.2.63.25415.2.63.2554,094
3715.2.64.0/2015.2.64.1 to 15.2.79.25415.2.79.2554,094
3815.2.80.0/2015.2.80.1 to 15.2.95.25415.2.95.2554,094
3915.2.96.0/2015.2.96.1 to 15.2.111.25415.2.111.2554,094
4015.2.112.0/2015.2.112.1 to 15.2.127.25415.2.127.2554,094
4115.2.128.0/2015.2.128.1 to 15.2.143.25415.2.143.2554,094
4215.2.144.0/2015.2.144.1 to 15.2.159.25415.2.159.2554,094
4315.2.160.0/2015.2.160.1 to 15.2.175.25415.2.175.2554,094
4415.2.176.0/2015.2.176.1 to 15.2.191.25415.2.191.2554,094
4515.2.192.0/2015.2.192.1 to 15.2.207.25415.2.207.2554,094
4615.2.208.0/2015.2.208.1 to 15.2.223.25415.2.223.2554,094
4715.2.224.0/2015.2.224.1 to 15.2.239.25415.2.239.2554,094
4815.2.240.0/2015.2.240.1 to 15.2.255.25415.2.255.2554,094
4915.3.0.0/2015.3.0.1 to 15.3.15.25415.3.15.2554,094
5015.3.16.0/2015.3.16.1 to 15.3.31.25415.3.31.2554,094
5115.3.32.0/2015.3.32.1 to 15.3.47.25415.3.47.2554,094
5215.3.48.0/2015.3.48.1 to 15.3.63.25415.3.63.2554,094
5315.3.64.0/2015.3.64.1 to 15.3.79.25415.3.79.2554,094
5415.3.80.0/2015.3.80.1 to 15.3.95.25415.3.95.2554,094
5515.3.96.0/2015.3.96.1 to 15.3.111.25415.3.111.2554,094
5615.3.112.0/2015.3.112.1 to 15.3.127.25415.3.127.2554,094
5715.3.128.0/2015.3.128.1 to 15.3.143.25415.3.143.2554,094
5815.3.144.0/2015.3.144.1 to 15.3.159.25415.3.159.2554,094
5915.3.160.0/2015.3.160.1 to 15.3.175.25415.3.175.2554,094
6015.3.176.0/2015.3.176.1 to 15.3.191.25415.3.191.2554,094
6115.3.192.0/2015.3.192.1 to 15.3.207.25415.3.207.2554,094
6215.3.208.0/2015.3.208.1 to 15.3.223.25415.3.223.2554,094
6315.3.224.0/2015.3.224.1 to 15.3.239.25415.3.239.2554,094
6415.3.240.0/2015.3.240.1 to 15.3.255.25415.3.255.2554,094
6515.4.0.0/2015.4.0.1 to 15.4.15.25415.4.15.2554,094
6615.4.16.0/2015.4.16.1 to 15.4.31.25415.4.31.2554,094
6715.4.32.0/2015.4.32.1 to 15.4.47.25415.4.47.2554,094
6815.4.48.0/2015.4.48.1 to 15.4.63.25415.4.63.2554,094
6915.4.64.0/2015.4.64.1 to 15.4.79.25415.4.79.2554,094
7015.4.80.0/2015.4.80.1 to 15.4.95.25415.4.95.2554,094
7115.4.96.0/2015.4.96.1 to 15.4.111.25415.4.111.2554,094
7215.4.112.0/2015.4.112.1 to 15.4.127.25415.4.127.2554,094
7315.4.128.0/2015.4.128.1 to 15.4.143.25415.4.143.2554,094
7415.4.144.0/2015.4.144.1 to 15.4.159.25415.4.159.2554,094
7515.4.160.0/2015.4.160.1 to 15.4.175.25415.4.175.2554,094
7615.4.176.0/2015.4.176.1 to 15.4.191.25415.4.191.2554,094
7715.4.192.0/2015.4.192.1 to 15.4.207.25415.4.207.2554,094
7815.4.208.0/2015.4.208.1 to 15.4.223.25415.4.223.2554,094
7915.4.224.0/2015.4.224.1 to 15.4.239.25415.4.239.2554,094
8015.4.240.0/2015.4.240.1 to 15.4.255.25415.4.255.2554,094
8115.5.0.0/2015.5.0.1 to 15.5.15.25415.5.15.2554,094
8215.5.16.0/2015.5.16.1 to 15.5.31.25415.5.31.2554,094
8315.5.32.0/2015.5.32.1 to 15.5.47.25415.5.47.2554,094
8415.5.48.0/2015.5.48.1 to 15.5.63.25415.5.63.2554,094
8515.5.64.0/2015.5.64.1 to 15.5.79.25415.5.79.2554,094
8615.5.80.0/2015.5.80.1 to 15.5.95.25415.5.95.2554,094
8715.5.96.0/2015.5.96.1 to 15.5.111.25415.5.111.2554,094
8815.5.112.0/2015.5.112.1 to 15.5.127.25415.5.127.2554,094
8915.5.128.0/2015.5.128.1 to 15.5.143.25415.5.143.2554,094
9015.5.144.0/2015.5.144.1 to 15.5.159.25415.5.159.2554,094
9115.5.160.0/2015.5.160.1 to 15.5.175.25415.5.175.2554,094
9215.5.176.0/2015.5.176.1 to 15.5.191.25415.5.191.2554,094
9315.5.192.0/2015.5.192.1 to 15.5.207.25415.5.207.2554,094
9415.5.208.0/2015.5.208.1 to 15.5.223.25415.5.223.2554,094
9515.5.224.0/2015.5.224.1 to 15.5.239.25415.5.239.2554,094
9615.5.240.0/2015.5.240.1 to 15.5.255.25415.5.255.2554,094
9715.6.0.0/2015.6.0.1 to 15.6.15.25415.6.15.2554,094
9815.6.16.0/2015.6.16.1 to 15.6.31.25415.6.31.2554,094
9915.6.32.0/2015.6.32.1 to 15.6.47.25415.6.47.2554,094
10015.6.48.0/2015.6.48.1 to 15.6.63.25415.6.63.2554,094
10115.6.64.0/2015.6.64.1 to 15.6.79.25415.6.79.2554,094
10215.6.80.0/2015.6.80.1 to 15.6.95.25415.6.95.2554,094
10315.6.96.0/2015.6.96.1 to 15.6.111.25415.6.111.2554,094
10415.6.112.0/2015.6.112.1 to 15.6.127.25415.6.127.2554,094
10515.6.128.0/2015.6.128.1 to 15.6.143.25415.6.143.2554,094
10615.6.144.0/2015.6.144.1 to 15.6.159.25415.6.159.2554,094
10715.6.160.0/2015.6.160.1 to 15.6.175.25415.6.175.2554,094
10815.6.176.0/2015.6.176.1 to 15.6.191.25415.6.191.2554,094
10915.6.192.0/2015.6.192.1 to 15.6.207.25415.6.207.2554,094
11015.6.208.0/2015.6.208.1 to 15.6.223.25415.6.223.2554,094
11115.6.224.0/2015.6.224.1 to 15.6.239.25415.6.239.2554,094
11215.6.240.0/2015.6.240.1 to 15.6.255.25415.6.255.2554,094
11315.7.0.0/2015.7.0.1 to 15.7.15.25415.7.15.2554,094
11415.7.16.0/2015.7.16.1 to 15.7.31.25415.7.31.2554,094
11515.7.32.0/2015.7.32.1 to 15.7.47.25415.7.47.2554,094
11615.7.48.0/2015.7.48.1 to 15.7.63.25415.7.63.2554,094
11715.7.64.0/2015.7.64.1 to 15.7.79.25415.7.79.2554,094
11815.7.80.0/2015.7.80.1 to 15.7.95.25415.7.95.2554,094
11915.7.96.0/2015.7.96.1 to 15.7.111.25415.7.111.2554,094
12015.7.112.0/2015.7.112.1 to 15.7.127.25415.7.127.2554,094
12115.7.128.0/2015.7.128.1 to 15.7.143.25415.7.143.2554,094
12215.7.144.0/2015.7.144.1 to 15.7.159.25415.7.159.2554,094
12315.7.160.0/2015.7.160.1 to 15.7.175.25415.7.175.2554,094
12415.7.176.0/2015.7.176.1 to 15.7.191.25415.7.191.2554,094
12515.7.192.0/2015.7.192.1 to 15.7.207.25415.7.207.2554,094
12615.7.208.0/2015.7.208.1 to 15.7.223.25415.7.223.2554,094
12715.7.224.0/2015.7.224.1 to 15.7.239.25415.7.239.2554,094
12815.7.240.0/2015.7.240.1 to 15.7.255.25415.7.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses